%define name	opengroupware-libfoundation
%define version	1.0.12	
%define cvs	20030721
%define release	%{cvs}.1mdk

Summary:     LibFoundation Objective-C library
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     BSD
URL:	     http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-gstep-objc

Source:      opengroupware.org-libfoundation-%{cvs}.tar.bz2
Patch:	     opengroupware.org-libfoundation-200307100103-installroot.patch.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: gcc-objc

%description
This package contains the libFoundation library, an Objective-C library
which aims to implement the Foundation part of the OpenStep specification.

%package devel
Summary: The header files for the libFoundation library.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the libFoundation library.

%prep

%setup -q -n opengroupware.org-libfoundation
%patch -p1 -b .installroot

%build
source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=%{_tmppath}/%{name}-buildroot
%configure --with-gnustep
make -s debug=yes all

%install
source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" install

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.first ANNOUNCE AUTHORS ChangeLog COPYING NEWS INSTALL.txt
%{prefix}/Libraries/Resources/libFoundation
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/Defaults
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libFoundation*.so.1.0*

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/libFoundation
%dir %{prefix}/Makefiles/Additional
%{prefix}/Makefiles/Additional/libFoundation.make
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libFoundation*.so

%changelog
* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 1.0.12-20030721.1mdk
- library-devel requires library
- from Spencer Anderson <sdander@oberon.ark.com> :
  - first Mandrake release
  - based on Redhat specfile 

